# Get employees

Get employees

Endpoint: GET /employees
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Query parameters:

  - `sortBy` (array)
    The data attributes by which to sort the results.

  - `limit` (integer)
    The maximum count of results to retrieve.

  - `offset` (integer)
    Offset from the start of results.

  - `startingAfter` (string)
    Return results starting after the provided object identifier.

  - `endingBefore` (string)
    Return results ending before the provided object identifier.

  - `teamId` (string)
    ** DEPRECATED - use `teamIds` ** Filter results to a single team.

  - `teamIds` (array)
    Filter results to employees that belong to at least one of a list of teams.

  - `excludeTeamIds` (array)
    Filter results to employees that do not belong to any of a list of teams.

  - `managerEmployeeId` (string)
    The employee ID of the manager

  - `search` (string)
    The search term on which to search. It will match ANY employee when the search term matches the following:

- case-insensitive matches any substring of an employee's first name
- case-insensitive matches any substring of an employee's last name
- if there is whitespace in the search term, split on the whitespace, and case-insensitive match the first part to any substring of an employee's first name and the second part to any substring of the last name
- exactly matches an employee's user's ID
- exactly matches an employee's ID
- exactly matches an employee's external ID (prefixed with `ext-`)
- exactly matches one of employee's role IDs

## Response 200 fields (application/json):

  - `count` (integer)
    Number of items returned by the current request.

  - `nextUrl` (string)
    URL of the next set of results.

  - `previousUrl` (string)
    URL of the previous set of results.

  - `status` (integer)
    HTTP status code.

  - `total` (integer)
    Total number of items in this result.

  - `data` (array)

  - `data.createdAt` (string)

  - `data.deletedAt` (string)

  - `data.id` (string)
    A unique identifier for the employee

  - `data.updatedAt` (string)

  - `data.firstName` (string)
    The employee's first name.

  - `data.lastName` (string)
    The employee's last name.

  - `data.assignedInvestorIds` (array)
    The unique identifiers of the investors assigned to the employee.

  - `data.availableAndPermittedTasktypes` (array)
    The Twilio task router task types on which this employee is both permitted and available to work.

  - `data.companyId` (string)
    The unique company identifier.

  - `data.displayName` (string)
    The agent's first and last name, if set. Otherwise, their email
address.

  - `data.email` (string)
    The employee's email address.

  - `data.externalId` (string)
    The lender's external identifier for the employee.

  - `data.jobName` (string)
    The name of position in the company—e.g., "CEO", "Agent", "Supervisor"

  - `data.object` (string)
    Enum: "Employee"

  - `data.phone` (string)
    The employee's phone number.

  - `data.teams` (array)

  - `data.teams.email` (string)
    The group email (or listserve) associated with this team.

  - `data.teams.employeeCount` (integer)
    The number of employees on this team.

  - `data.teams.externalId` (string)
    The lender's external identifier of the team.

  - `data.teams.id` (string)

  - `data.teams.name` (string)
    The name of the team—e.g., "Engineering", "Operations", "Customer Support". Must be unique.

  - `data.user` (any)
    The user associated with this employee

